Latest update forces t-bird & firefox {closed}

Questions about SolydX and SolydK installation.
JSladek
Posts: 142
Joined: 19 Jun 2014 23:15
Location: Suffolk VA

Latest update forces t-bird & firefox {closed}

Postby JSladek » 31 Dec 2018 13:54

Okay .... how do I get out of this one. Using Synaptic, this morning's update for s-system-adjustments-9, s-system & s-welcome are forcing installation of firefox and thunderbird onto my system. I do not want those programs as part of my SolydK installation. If I lock the updates at the prior version, I don't get any further on updates that I might need. I don't recall this happening before.

User avatar
Arjen Balfoort
Site Admin
Posts: 9223
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Latest update forces t-bird & firefox

Postby Arjen Balfoort » 31 Dec 2018 15:05

None of these packages have dependencies to firefox or thunderbird. Perhaps you are mistaken with these recommended packages of the solydx/k-system-adjustments packages:
firefox-solydxk-adjustments
thunderbird-solydxk-adjustents
These are part of the default ISOs as are firefox and thunderbird. These can be removed whenever you want because they are no dependencies or upgrade with

Code: Select all

apt upgrade --no-install-recommends
.


SolydXK needs you!
Development | Testing | Translations

JSladek
Posts: 142
Joined: 19 Jun 2014 23:15
Location: Suffolk VA

Re: Latest update forces t-bird & firefox

Postby JSladek » 31 Dec 2018 16:12

After I marked the three solydk upgrade files, the following came up:
Screenshot_20181231_110535.png

User avatar
Arjen Balfoort
Site Admin
Posts: 9223
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Latest update forces t-bird & firefox

Postby Arjen Balfoort » 31 Dec 2018 18:17

In a terminal:

Code: Select all

apt purge firefox* thunderbird*
apt upgrade


SolydXK needs you!
Development | Testing | Translations

JSladek
Posts: 142
Joined: 19 Jun 2014 23:15
Location: Suffolk VA

Re: Latest update forces t-bird & firefox

Postby JSladek » 31 Dec 2018 20:24

No change in the results - still have the attempted install of firefox and thunderbird. I did not invoke "apt upgrade --no-install-recommends" as initially suggested. Should that still be done? Konsole file is as follows:

Code: Select all

 
jim@solydxk:~$  sudo apt purge firefox* thunderbird*
[sudo] password for jim: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'firefox-esr-dom-inspector' for glob 'firefox*'
Note, selecting 'firefox-l10n-son' for glob 'firefox*'
Note, selecting 'firefox-adblock-plus' for glob 'firefox*'
Note, selecting 'firefox-l10n-en-ca' for glob 'firefox*'
Note, selecting 'firefox-l10n-en-gb' for glob 'firefox*'
Note, selecting 'firefox-esr-pdf.js' for glob 'firefox*'
Note, selecting 'firefox-l10n-en-us' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-kab' for glob 'firefox*'
Note, selecting 'firefox-l10n-en-za' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-lij' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-mai' for glob 'firefox*'
Note, selecting 'firefox-l10n-pa-in' for glob 'firefox*'
Note, selecting 'firefox-dom-inspector' for glob 'firefox*'
Note, selecting 'firefox-pdf.js' for glob 'firefox*'
Note, selecting 'firefox-esr-password-editor' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-hy-am' for glob 'firefox*'
Note, selecting 'firefox-esr-cookie-monster' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-son' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-fy-nl' for glob 'firefox*'
Note, selecting 'firefox-y-u-no-validate' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-nn-no' for glob 'firefox*'
Note, selecting 'firefox-debianbuttons' for glob 'firefox*'
Note, selecting 'firefox-branding-iceweasel' for glob 'firefox*'
Note, selecting 'firefox-l10n-hy-am' for glob 'firefox*'
Note, selecting 'firefox-iceweasel-branding' for glob 'firefox*'
Note, selecting 'firefox-l10n-fy-nl' for glob 'firefox*'
Note, selecting 'firefox-certificatepatrol' for glob 'firefox*'
Note, selecting 'firefox-l10n-nn-no' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-sv-se' for glob 'firefox*'
Note, selecting 'firefoxdriver' for glob 'firefox*'
Note, selecting 'firefox-cookie-monster' for glob 'firefox*'
Note, selecting 'firefox-esr-toggle-proxy' for glob 'firefox*'
Note, selecting 'firefox-esr-personasplus' for glob 'firefox*'
Note, selecting 'firefox-kwallet5' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-bn-bd' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-es-ar' for glob 'firefox*'
Note, selecting 'firefox-esr-kwallet5' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-bn-in' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-es-cl' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-es-es' for glob 'firefox*'
Note, selecting 'firefox-l10n-sv-se' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-es-mx' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-pt-br' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-pt-pt' for glob 'firefox*'
Note, selecting 'firefox-esr-gnome-keyring' for glob 'firefox*'
Note, selecting 'firefox-password-editor' for glob 'firefox*'
Note, selecting 'firefox-esr-requestpolicy' for glob 'firefox*'
Note, selecting 'firefox-l10n-bn-bd' for glob 'firefox*'
Note, selecting 'firefox-l10n-es-ar' for glob 'firefox*'
Note, selecting 'firefox-l10n-bn-in' for glob 'firefox*'
Note, selecting 'firefox-l10n-es-cl' for glob 'firefox*'
Note, selecting 'firefox-l10n-es-es' for glob 'firefox*'
Note, selecting 'firefox-l10n-es-mx' for glob 'firefox*'
Note, selecting 'firefox-l10n-pt-br' for glob 'firefox*'
Note, selecting 'firefox-l10n-pt-pt' for glob 'firefox*'
Note, selecting 'firefox-l10n-ach' for glob 'firefox*'
Note, selecting 'firefox-l10n-all' for glob 'firefox*'
Note, selecting 'firefox-noscript' for glob 'firefox*'
Note, selecting 'firefox-esr-zotero' for glob 'firefox*'
Note, selecting 'firefox-l10n-ast' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ga-ie' for glob 'firefox*'
Note, selecting 'firefox-gnome-keyring' for glob 'firefox*'
Note, selecting 'firefox-esr-adblock-plus' for glob 'firefox*'
Note, selecting 'firefox-esr-flashblock' for glob 'firefox*'
Note, selecting 'firefox-l10n-dsb' for glob 'firefox*'
Note, selecting 'firefox-requestpolicy' for glob 'firefox*'
Note, selecting 'firefox-l10n-af' for glob 'firefox*'
Note, selecting 'firefox-l10n-an' for glob 'firefox*'
Note, selecting 'firefox-l10n-ar' for glob 'firefox*'
Note, selecting 'firefox-l10n-as' for glob 'firefox*'
Note, selecting 'firefox-l10n-az' for glob 'firefox*'
Note, selecting 'firefox-l10n-be' for glob 'firefox*'
Note, selecting 'firefox-l10n-bg' for glob 'firefox*'
Note, selecting 'firefox-l10n-br' for glob 'firefox*'
Note, selecting 'firefox-l10n-bs' for glob 'firefox*'
Note, selecting 'firefox-l10n-ca' for glob 'firefox*'
Note, selecting 'firefox-l10n-cs' for glob 'firefox*'
Note, selecting 'firefox-l10n-cy' for glob 'firefox*'
Note, selecting 'firefox-l10n-da' for glob 'firefox*'
Note, selecting 'firefox-l10n-de' for glob 'firefox*'
Note, selecting 'firefox-l10n-el' for glob 'firefox*'
Note, selecting 'firefox-l10n-eo' for glob 'firefox*'
Note, selecting 'firefox-l10n-et' for glob 'firefox*'
Note, selecting 'firefox-l10n-eu' for glob 'firefox*'
Note, selecting 'firefox-l10n-fa' for glob 'firefox*'
Note, selecting 'firefox-l10n-ff' for glob 'firefox*'
Note, selecting 'firefox-l10n-fi' for glob 'firefox*'
Note, selecting 'firefox-l10n-fr' for glob 'firefox*'
Note, selecting 'firefox-l10n-gd' for glob 'firefox*'
Note, selecting 'firefox-l10n-gl' for glob 'firefox*'
Note, selecting 'firefox-l10n-he' for glob 'firefox*'
Note, selecting 'firefox-l10n-hr' for glob 'firefox*'
Note, selecting 'firefox-l10n-hu' for glob 'firefox*'
Note, selecting 'firefox-l10n-ia' for glob 'firefox*'
Note, selecting 'firefox-l10n-id' for glob 'firefox*'
Note, selecting 'firefox-l10n-is' for glob 'firefox*'
Note, selecting 'firefox-l10n-it' for glob 'firefox*'
Note, selecting 'firefox-l10n-ja' for glob 'firefox*'
Note, selecting 'firefox-l10n-kk' for glob 'firefox*'
Note, selecting 'firefox-l10n-km' for glob 'firefox*'
Note, selecting 'firefox-l10n-kn' for glob 'firefox*'
Note, selecting 'firefox-l10n-ko' for glob 'firefox*'
Note, selecting 'firefox-l10n-lt' for glob 'firefox*'
Note, selecting 'firefox-l10n-lv' for glob 'firefox*'
Note, selecting 'firefox-l10n-mk' for glob 'firefox*'
Note, selecting 'firefox-l10n-ml' for glob 'firefox*'
Note, selecting 'firefox-l10n-mr' for glob 'firefox*'
Note, selecting 'firefox-l10n-ms' for glob 'firefox*'
Note, selecting 'firefox-l10n-nl' for glob 'firefox*'
Note, selecting 'firefox-l10n-or' for glob 'firefox*'
Note, selecting 'firefox-l10n-pl' for glob 'firefox*'
Note, selecting 'firefox-l10n-rm' for glob 'firefox*'
Note, selecting 'firefox-l10n-ro' for glob 'firefox*'
Note, selecting 'firefox-l10n-ru' for glob 'firefox*'
Note, selecting 'firefox-l10n-si' for glob 'firefox*'
Note, selecting 'firefox-l10n-sk' for glob 'firefox*'
Note, selecting 'firefox-l10n-sl' for glob 'firefox*'
Note, selecting 'firefox-l10n-sq' for glob 'firefox*'
Note, selecting 'firefox-l10n-sr' for glob 'firefox*'
Note, selecting 'firefox-l10n-ta' for glob 'firefox*'
Note, selecting 'firefox-l10n-te' for glob 'firefox*'
Note, selecting 'firefox-l10n-th' for glob 'firefox*'
Note, selecting 'firefox-l10n-tr' for glob 'firefox*'
Note, selecting 'firefox-l10n-uk' for glob 'firefox*'
Note, selecting 'firefox-l10n-ur' for glob 'firefox*'
Note, selecting 'firefox-l10n-uz' for glob 'firefox*'
Note, selecting 'firefox-l10n-vi' for glob 'firefox*'
Note, selecting 'firefox-l10n-xh' for glob 'firefox*'
Note, selecting 'firefox-esr-iceweasel-branding' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-nb-no' for glob 'firefox*'
Note, selecting 'firefox-l10n-ga-ie' for glob 'firefox*'
Note, selecting 'firefox-zotero' for glob 'firefox*'
Note, selecting 'firefox-esr-dev' for glob 'firefox*'
Note, selecting 'firefox-esr-solydxk-adjustments' for glob 'firefox*'
Note, selecting 'firefox-l10n-hsb' for glob 'firefox*'
Note, selecting 'firefox-toggle-proxy' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-zh-cn' for glob 'firefox*'
Note, selecting 'firefox-flashblock' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-zh-tw' for glob 'firefox*'
Note, selecting 'firefox-personasplus' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-af' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-an' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ar' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-as' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-az' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-be' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-bg' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-br' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-bs' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ca' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-cs' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-cy' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-da' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-de' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-el' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-eo' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-et' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-eu' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-fa' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ff' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-fi' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-fr' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-gd' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-gl' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-gn' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-he' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-hr' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-hu' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ia' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-id' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-is' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-it' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ja' for glob 'firefox*'
Note, selecting 'firefox' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ka' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-kk' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-km' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-kn' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ko' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-lt' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-lv' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-mk' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ml' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-mr' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ms' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-my' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-nl' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-oc' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-or' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-pl' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-rm' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ro' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ru' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-si' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-sk' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-sl' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-sq' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-sr' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ta' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-te' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-th' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-tr' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-hi-in' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-uk' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ur' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-uz' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-vi' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-xh' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ach' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-all' for glob 'firefox*'
Note, selecting 'firefox-esr-noscript' for glob 'firefox*'
Note, selecting 'firefox-l10n-nb-no' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ast' for glob 'firefox*'
Note, selecting 'firefox-esr-refcontrol' for glob 'firefox*'
Note, selecting 'firefox-l10n-lij' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-ne-np' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-cak' for glob 'firefox*'
Note, selecting 'firefox-l10n-mai' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-gu-in' for glob 'firefox*'
Note, selecting 'firefox-l10n-zh-cn' for glob 'firefox*'
Note, selecting 'firefox-l10n-zh-tw' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-dsb' for glob 'firefox*'
Note, selecting 'firefox-esr-y-u-no-validate' for glob 'firefox*'
Note, selecting 'firefox-l10n-hi-in' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-en-gb' for glob 'firefox*'
Note, selecting 'firefox-dev' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-en-za' for glob 'firefox*'
Note, selecting 'firefox-esr-debianbuttons' for glob 'firefox*'
Note, selecting 'firefox-refcontrol' for glob 'firefox*'
Note, selecting 'firefox-esr-certificatepatrol' for glob 'firefox*'
Note, selecting 'firefox-esr' for glob 'firefox*'
Note, selecting 'firefox-l10n-gu-in' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-pa-in' for glob 'firefox*'
Note, selecting 'firefox-solydxk-adjustments' for glob 'firefox*'
Note, selecting 'firefox-esr-l10n-hsb' for glob 'firefox*'
Package 'firefox-dev' is not installed, so not removed
Package 'firefox-l10n-en-us' is not installed, so not removed
Package 'firefox-esr-solydxk-adjustments' is not installed, so not removed
Note, selecting 'xul-ext-adblock-plus' instead of 'firefox-adblock-plus'
Note, selecting 'xul-ext-adblock-plus' instead of 'firefox-esr-adblock-plus'
Note, selecting 'xul-ext-certificatepatrol' instead of 'firefox-certificatepatrol'
Note, selecting 'xul-ext-certificatepatrol' instead of 'firefox-esr-certificatepatrol'
Note, selecting 'xul-ext-cookie-monster' instead of 'firefox-cookie-monster'
Note, selecting 'xul-ext-cookie-monster' instead of 'firefox-esr-cookie-monster'
Note, selecting 'xul-ext-debianbuttons' instead of 'firefox-debianbuttons'
Note, selecting 'xul-ext-debianbuttons' instead of 'firefox-esr-debianbuttons'
Note, selecting 'xul-ext-iceweasel-branding' instead of 'firefox-branding-iceweasel'
Note, selecting 'xul-ext-iceweasel-branding' instead of 'firefox-esr-iceweasel-branding'
Note, selecting 'xul-ext-iceweasel-branding' instead of 'firefox-iceweasel-branding'
Note, selecting 'xul-ext-kwallet5' instead of 'firefox-esr-kwallet5'
Note, selecting 'xul-ext-kwallet5' instead of 'firefox-kwallet5'
Note, selecting 'xul-ext-flashblock' instead of 'firefox-esr-flashblock'
Note, selecting 'xul-ext-flashblock' instead of 'firefox-flashblock'
Package 'firefox-l10n-all' is not installed, so not removed
Note, selecting 'xul-ext-dom-inspector' instead of 'firefox-dom-inspector'
Note, selecting 'xul-ext-dom-inspector' instead of 'firefox-esr-dom-inspector'
Note, selecting 'xul-ext-gnome-keyring' instead of 'firefox-esr-gnome-keyring'
Note, selecting 'xul-ext-gnome-keyring' instead of 'firefox-gnome-keyring'
Note, selecting 'xul-ext-noscript' instead of 'firefox-esr-noscript'
Note, selecting 'xul-ext-noscript' instead of 'firefox-noscript'
Note, selecting 'xul-ext-password-editor' instead of 'firefox-esr-password-editor'
Note, selecting 'xul-ext-password-editor' instead of 'firefox-password-editor'
Note, selecting 'xul-ext-pdf.js' instead of 'firefox-esr-pdf.js'
Note, selecting 'xul-ext-pdf.js' instead of 'firefox-pdf.js'
Note, selecting 'xul-ext-personasplus' instead of 'firefox-esr-personasplus'
Note, selecting 'xul-ext-personasplus' instead of 'firefox-personasplus'
Note, selecting 'xul-ext-refcontrol' instead of 'firefox-esr-refcontrol'
Note, selecting 'xul-ext-refcontrol' instead of 'firefox-refcontrol'
Note, selecting 'xul-ext-requestpolicy' instead of 'firefox-esr-requestpolicy'
Note, selecting 'xul-ext-requestpolicy' instead of 'firefox-requestpolicy'
Note, selecting 'xul-ext-toggle-proxy' instead of 'firefox-esr-toggle-proxy'
Note, selecting 'xul-ext-toggle-proxy' instead of 'firefox-toggle-proxy'
Note, selecting 'xul-ext-y-u-no-validate' instead of 'firefox-esr-y-u-no-validate'
Note, selecting 'xul-ext-y-u-no-validate' instead of 'firefox-y-u-no-validate'
Note, selecting 'xul-ext-zotero' instead of 'firefox-esr-zotero'
Note, selecting 'xul-ext-zotero' instead of 'firefox-zotero'
Note, selecting 'thunderbird-compactheader' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-dsb' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-ga-ie' for glob 'thunderbird*'
Note, selecting 'thunderbird-gnome-keyring' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-hsb' for glob 'thunderbird*'
Note, selecting 'thunderbird-nostalgy' for glob 'thunderbird*'
Note, selecting 'thunderbird-toggle-proxy' for glob 'thunderbird*'
Note, selecting 'thunderbird-tbdialout' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-nb-no' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-kab' for glob 'thunderbird*'
Note, selecting 'thunderbird-adblock-plus' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-zh-cn' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-zh-tw' for glob 'thunderbird*'
Note, selecting 'thunderbird-certificatepatrol' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-ta-lk' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-en-gb' for glob 'thunderbird*'
Note, selecting 'thunderbird-google-tasks-sync' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-pa-in' for glob 'thunderbird*'
Note, selecting 'thunderbird-torbirdy' for glob 'thunderbird*'
Note, selecting 'thunderbird-timeline' for glob 'thunderbird*'
Note, selecting 'thunderbird-dispmua' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-ar' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-be' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-bg' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-br' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-ca' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-cs' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-cy' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-da' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-de' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-el' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-et' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-eu' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-fi' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-fr' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-gd' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-gl' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-he' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-hr' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-hu' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-id' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-is' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-it' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-ja' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-kk' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-ko' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-lt' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-ms' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-nl' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-pl' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-rm' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-ro' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-ru' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-si' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-sk' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-sl' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-sq' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-sr' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-tr' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-uk' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-vi' for glob 'thunderbird*'
Note, selecting 'thunderbird-enigmail' for glob 'thunderbird*'
Note, selecting 'thunderbird-calendar-exchange-provider' for glob 'thunderbird*'
Note, selecting 'thunderbird-dom-inspector' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-hy-am' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-fy-nl' for glob 'thunderbird*'
Note, selecting 'thunderbird-sogo-connector' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-nn-no' for glob 'thunderbird*'
Note, selecting 'thunderbird-password-editor' for glob 'thunderbird*'
Note, selecting 'thunderbird' for glob 'thunderbird*'
Note, selecting 'thunderbird-firetray' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-sv-se' for glob 'thunderbird*'
Note, selecting 'thunderbird-solydxk-adjustments' for glob 'thunderbird*'
Note, selecting 'thunderbird-dbg' for glob 'thunderbird*'
Note, selecting 'thunderbird-dev' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-bn-bd' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-es-ar' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-es-es' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-pt-br' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-pt-pt' for glob 'thunderbird*'
Note, selecting 'thunderbird-personasplus' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-all' for glob 'thunderbird*'
Note, selecting 'thunderbird-l10n-ast' for glob 'thunderbird*'
Note, selecting 'xul-ext-adblock-plus' instead of 'thunderbird-adblock-plus'
Note, selecting 'calendar-exchange-provider' instead of 'thunderbird-calendar-exchange-provider'
Note, selecting 'xul-ext-certificatepatrol' instead of 'thunderbird-certificatepatrol'
Note, selecting 'xul-ext-compactheader' instead of 'thunderbird-compactheader'
Note, selecting 'xul-ext-dispmua' instead of 'thunderbird-dispmua'
Note, selecting 'enigmail' instead of 'thunderbird-enigmail'
Note, selecting 'xul-ext-firetray' instead of 'thunderbird-firetray'
Note, selecting 'xul-ext-google-tasks-sync' instead of 'thunderbird-google-tasks-sync'
Note, selecting 'xul-ext-dom-inspector' instead of 'thunderbird-dom-inspector'
Note, selecting 'xul-ext-gnome-keyring' instead of 'thunderbird-gnome-keyring'
Note, selecting 'xul-ext-password-editor' instead of 'thunderbird-password-editor'
Note, selecting 'xul-ext-nostalgy' instead of 'thunderbird-nostalgy'
Note, selecting 'xul-ext-personasplus' instead of 'thunderbird-personasplus'
Note, selecting 'xul-ext-sogo-connector' instead of 'thunderbird-sogo-connector'
Note, selecting 'xul-ext-tbdialout' instead of 'thunderbird-tbdialout'
Note, selecting 'xul-ext-timeline' instead of 'thunderbird-timeline'
Note, selecting 'xul-ext-toggle-proxy' instead of 'thunderbird-toggle-proxy'
Note, selecting 'xul-ext-torbirdy' instead of 'thunderbird-torbirdy'
Package 'firefox' is not installed, so not removed
Package 'firefox-l10n-ach' is not installed, so not removed
Package 'firefox-l10n-af' is not installed, so not removed
Package 'firefox-l10n-an' is not installed, so not removed
Package 'firefox-l10n-ar' is not installed, so not removed
Package 'firefox-l10n-as' is not installed, so not removed
Package 'firefox-l10n-ast' is not installed, so not removed
Package 'firefox-l10n-az' is not installed, so not removed
Package 'firefox-l10n-be' is not installed, so not removed
Package 'firefox-l10n-bg' is not installed, so not removed
Package 'firefox-l10n-bn-bd' is not installed, so not removed
Package 'firefox-l10n-bn-in' is not installed, so not removed
Package 'firefox-l10n-br' is not installed, so not removed
Package 'firefox-l10n-bs' is not installed, so not removed
Package 'firefox-l10n-ca' is not installed, so not removed
Package 'firefox-l10n-cs' is not installed, so not removed
Package 'firefox-l10n-cy' is not installed, so not removed
Package 'firefox-l10n-da' is not installed, so not removed
Package 'firefox-l10n-de' is not installed, so not removed
Package 'firefox-l10n-dsb' is not installed, so not removed
Package 'firefox-l10n-el' is not installed, so not removed
Package 'firefox-l10n-en-ca' is not installed, so not removed
Package 'firefox-l10n-en-gb' is not installed, so not removed
Package 'firefox-l10n-en-za' is not installed, so not removed
Package 'firefox-l10n-eo' is not installed, so not removed
Package 'firefox-l10n-es-ar' is not installed, so not removed
Package 'firefox-l10n-es-cl' is not installed, so not removed
Package 'firefox-l10n-es-es' is not installed, so not removed
Package 'firefox-l10n-es-mx' is not installed, so not removed
Package 'firefox-l10n-et' is not installed, so not removed
Package 'firefox-l10n-eu' is not installed, so not removed
Package 'firefox-l10n-fa' is not installed, so not removed
Package 'firefox-l10n-ff' is not installed, so not removed
Package 'firefox-l10n-fi' is not installed, so not removed
Package 'firefox-l10n-fr' is not installed, so not removed
Package 'firefox-l10n-fy-nl' is not installed, so not removed
Package 'firefox-l10n-ga-ie' is not installed, so not removed
Package 'firefox-l10n-gd' is not installed, so not removed
Package 'firefox-l10n-gl' is not installed, so not removed
Package 'firefox-l10n-gu-in' is not installed, so not removed
Package 'firefox-l10n-he' is not installed, so not removed
Package 'firefox-l10n-hi-in' is not installed, so not removed
Package 'firefox-l10n-hr' is not installed, so not removed
Package 'firefox-l10n-hsb' is not installed, so not removed
Package 'firefox-l10n-hu' is not installed, so not removed
Package 'firefox-l10n-hy-am' is not installed, so not removed
Package 'firefox-l10n-ia' is not installed, so not removed
Package 'firefox-l10n-id' is not installed, so not removed
Package 'firefox-l10n-is' is not installed, so not removed
Package 'firefox-l10n-it' is not installed, so not removed
Package 'firefox-l10n-ja' is not installed, so not removed
Package 'firefox-l10n-kk' is not installed, so not removed
Package 'firefox-l10n-km' is not installed, so not removed
Package 'firefox-l10n-kn' is not installed, so not removed
Package 'firefox-l10n-ko' is not installed, so not removed
Package 'firefox-l10n-lij' is not installed, so not removed
Package 'firefox-l10n-lt' is not installed, so not removed
Package 'firefox-l10n-lv' is not installed, so not removed
Package 'firefox-l10n-mai' is not installed, so not removed
Package 'firefox-l10n-mk' is not installed, so not removed
Package 'firefox-l10n-ml' is not installed, so not removed
Package 'firefox-l10n-mr' is not installed, so not removed
Package 'firefox-l10n-ms' is not installed, so not removed
Package 'firefox-l10n-nb-no' is not installed, so not removed
Package 'firefox-l10n-nl' is not installed, so not removed
Package 'firefox-l10n-nn-no' is not installed, so not removed
Package 'firefox-l10n-or' is not installed, so not removed
Package 'firefox-l10n-pa-in' is not installed, so not removed
Package 'firefox-l10n-pl' is not installed, so not removed
Package 'firefox-l10n-pt-br' is not installed, so not removed
Package 'firefox-l10n-pt-pt' is not installed, so not removed
Package 'firefox-l10n-rm' is not installed, so not removed
Package 'firefox-l10n-ro' is not installed, so not removed
Package 'firefox-l10n-ru' is not installed, so not removed
Package 'firefox-l10n-si' is not installed, so not removed
Package 'firefox-l10n-sk' is not installed, so not removed
Package 'firefox-l10n-sl' is not installed, so not removed
Package 'firefox-l10n-son' is not installed, so not removed
Package 'firefox-l10n-sq' is not installed, so not removed
Package 'firefox-l10n-sr' is not installed, so not removed
Package 'firefox-l10n-sv-se' is not installed, so not removed
Package 'firefox-l10n-ta' is not installed, so not removed
Package 'firefox-l10n-te' is not installed, so not removed
Package 'firefox-l10n-th' is not installed, so not removed
Package 'firefox-l10n-tr' is not installed, so not removed
Package 'firefox-l10n-uk' is not installed, so not removed
Package 'firefox-l10n-ur' is not installed, so not removed
Package 'firefox-l10n-uz' is not installed, so not removed
Package 'firefox-l10n-vi' is not installed, so not removed
Package 'firefox-l10n-xh' is not installed, so not removed
Package 'firefox-l10n-zh-cn' is not installed, so not removed
Package 'firefox-l10n-zh-tw' is not installed, so not removed
Package 'firefox-solydxk-adjustments' is not installed, so not removed
Package 'thunderbird-solydxk-adjustments' is not installed, so not removed
Package 'firefoxdriver' is not installed, so not removed
Package 'firefox-esr' is not installed, so not removed
Package 'firefox-esr-dev' is not installed, so not removed
Package 'firefox-esr-l10n-ach' is not installed, so not removed
Package 'firefox-esr-l10n-af' is not installed, so not removed
Package 'firefox-esr-l10n-all' is not installed, so not removed
Package 'firefox-esr-l10n-an' is not installed, so not removed
Package 'firefox-esr-l10n-ar' is not installed, so not removed
Package 'firefox-esr-l10n-as' is not installed, so not removed
Package 'firefox-esr-l10n-ast' is not installed, so not removed
Package 'firefox-esr-l10n-az' is not installed, so not removed
Package 'firefox-esr-l10n-be' is not installed, so not removed
Package 'firefox-esr-l10n-bg' is not installed, so not removed
Package 'firefox-esr-l10n-bn-bd' is not installed, so not removed
Package 'firefox-esr-l10n-bn-in' is not installed, so not removed
Package 'firefox-esr-l10n-br' is not installed, so not removed
Package 'firefox-esr-l10n-bs' is not installed, so not removed
Package 'firefox-esr-l10n-ca' is not installed, so not removed
Package 'firefox-esr-l10n-cak' is not installed, so not removed
Package 'firefox-esr-l10n-cs' is not installed, so not removed
Package 'firefox-esr-l10n-cy' is not installed, so not removed
Package 'firefox-esr-l10n-da' is not installed, so not removed
Package 'firefox-esr-l10n-de' is not installed, so not removed
Package 'firefox-esr-l10n-dsb' is not installed, so not removed
Package 'firefox-esr-l10n-el' is not installed, so not removed
Package 'firefox-esr-l10n-en-gb' is not installed, so not removed
Package 'firefox-esr-l10n-en-za' is not installed, so not removed
Package 'firefox-esr-l10n-eo' is not installed, so not removed
Package 'firefox-esr-l10n-es-ar' is not installed, so not removed
Package 'firefox-esr-l10n-es-cl' is not installed, so not removed
Package 'firefox-esr-l10n-es-es' is not installed, so not removed
Package 'firefox-esr-l10n-es-mx' is not installed, so not removed
Package 'firefox-esr-l10n-et' is not installed, so not removed
Package 'firefox-esr-l10n-eu' is not installed, so not removed
Package 'firefox-esr-l10n-fa' is not installed, so not removed
Package 'firefox-esr-l10n-ff' is not installed, so not removed
Package 'firefox-esr-l10n-fi' is not installed, so not removed
Package 'firefox-esr-l10n-fr' is not installed, so not removed
Package 'firefox-esr-l10n-fy-nl' is not installed, so not removed
Package 'firefox-esr-l10n-ga-ie' is not installed, so not removed
Package 'firefox-esr-l10n-gd' is not installed, so not removed
Package 'firefox-esr-l10n-gl' is not installed, so not removed
Package 'firefox-esr-l10n-gn' is not installed, so not removed
Package 'firefox-esr-l10n-gu-in' is not installed, so not removed
Package 'firefox-esr-l10n-he' is not installed, so not removed
Package 'firefox-esr-l10n-hi-in' is not installed, so not removed
Package 'firefox-esr-l10n-hr' is not installed, so not removed
Package 'firefox-esr-l10n-hsb' is not installed, so not removed
Package 'firefox-esr-l10n-hu' is not installed, so not removed
Package 'firefox-esr-l10n-hy-am' is not installed, so not removed
Package 'firefox-esr-l10n-ia' is not installed, so not removed
Package 'firefox-esr-l10n-id' is not installed, so not removed
Package 'firefox-esr-l10n-is' is not installed, so not removed
Package 'firefox-esr-l10n-it' is not installed, so not removed
Package 'firefox-esr-l10n-ja' is not installed, so not removed
Package 'firefox-esr-l10n-ka' is not installed, so not removed
Package 'firefox-esr-l10n-kab' is not installed, so not removed
Package 'firefox-esr-l10n-kk' is not installed, so not removed
Package 'firefox-esr-l10n-km' is not installed, so not removed
Package 'firefox-esr-l10n-kn' is not installed, so not removed
Package 'firefox-esr-l10n-ko' is not installed, so not removed
Package 'firefox-esr-l10n-lij' is not installed, so not removed
Package 'firefox-esr-l10n-lt' is not installed, so not removed
Package 'firefox-esr-l10n-lv' is not installed, so not removed
Package 'firefox-esr-l10n-mai' is not installed, so not removed
Package 'firefox-esr-l10n-mk' is not installed, so not removed
Package 'firefox-esr-l10n-ml' is not installed, so not removed
Package 'firefox-esr-l10n-mr' is not installed, so not removed
Package 'firefox-esr-l10n-ms' is not installed, so not removed
Package 'firefox-esr-l10n-my' is not installed, so not removed
Package 'firefox-esr-l10n-nb-no' is not installed, so not removed
Package 'firefox-esr-l10n-ne-np' is not installed, so not removed
Package 'firefox-esr-l10n-nl' is not installed, so not removed
Package 'firefox-esr-l10n-nn-no' is not installed, so not removed
Package 'firefox-esr-l10n-oc' is not installed, so not removed
Package 'firefox-esr-l10n-or' is not installed, so not removed
Package 'firefox-esr-l10n-pa-in' is not installed, so not removed
Package 'firefox-esr-l10n-pl' is not installed, so not removed
Package 'firefox-esr-l10n-pt-br' is not installed, so not removed
Package 'firefox-esr-l10n-pt-pt' is not installed, so not removed
Package 'firefox-esr-l10n-rm' is not installed, so not removed
Package 'firefox-esr-l10n-ro' is not installed, so not removed
Package 'firefox-esr-l10n-ru' is not installed, so not removed
Package 'firefox-esr-l10n-si' is not installed, so not removed
Package 'firefox-esr-l10n-sk' is not installed, so not removed
Package 'firefox-esr-l10n-sl' is not installed, so not removed
Package 'firefox-esr-l10n-son' is not installed, so not removed
Package 'firefox-esr-l10n-sq' is not installed, so not removed
Package 'firefox-esr-l10n-sr' is not installed, so not removed
Package 'firefox-esr-l10n-sv-se' is not installed, so not removed
Package 'firefox-esr-l10n-ta' is not installed, so not removed
Package 'firefox-esr-l10n-te' is not installed, so not removed
Package 'firefox-esr-l10n-th' is not installed, so not removed
Package 'firefox-esr-l10n-tr' is not installed, so not removed
Package 'firefox-esr-l10n-uk' is not installed, so not removed
Package 'firefox-esr-l10n-ur' is not installed, so not removed
Package 'firefox-esr-l10n-uz' is not installed, so not removed
Package 'firefox-esr-l10n-vi' is not installed, so not removed
Package 'firefox-esr-l10n-xh' is not installed, so not removed
Package 'firefox-esr-l10n-zh-cn' is not installed, so not removed
Package 'firefox-esr-l10n-zh-tw' is not installed, so not removed
Package 'thunderbird' is not installed, so not removed
Package 'thunderbird-dbg' is not installed, so not removed
Package 'thunderbird-dev' is not installed, so not removed
Package 'thunderbird-l10n-all' is not installed, so not removed
Package 'thunderbird-l10n-ar' is not installed, so not removed
Package 'thunderbird-l10n-ast' is not installed, so not removed
Package 'thunderbird-l10n-be' is not installed, so not removed
Package 'thunderbird-l10n-bg' is not installed, so not removed
Package 'thunderbird-l10n-bn-bd' is not installed, so not removed
Package 'thunderbird-l10n-br' is not installed, so not removed
Package 'thunderbird-l10n-ca' is not installed, so not removed
Package 'thunderbird-l10n-cs' is not installed, so not removed
Package 'thunderbird-l10n-cy' is not installed, so not removed
Package 'thunderbird-l10n-da' is not installed, so not removed
Package 'thunderbird-l10n-de' is not installed, so not removed
Package 'thunderbird-l10n-dsb' is not installed, so not removed
Package 'thunderbird-l10n-el' is not installed, so not removed
Package 'thunderbird-l10n-en-gb' is not installed, so not removed
Package 'thunderbird-l10n-es-ar' is not installed, so not removed
Package 'thunderbird-l10n-es-es' is not installed, so not removed
Package 'thunderbird-l10n-et' is not installed, so not removed
Package 'thunderbird-l10n-eu' is not installed, so not removed
Package 'thunderbird-l10n-fi' is not installed, so not removed
Package 'thunderbird-l10n-fr' is not installed, so not removed
Package 'thunderbird-l10n-fy-nl' is not installed, so not removed
Package 'thunderbird-l10n-ga-ie' is not installed, so not removed
Package 'thunderbird-l10n-gd' is not installed, so not removed
Package 'thunderbird-l10n-gl' is not installed, so not removed
Package 'thunderbird-l10n-he' is not installed, so not removed
Package 'thunderbird-l10n-hr' is not installed, so not removed
Package 'thunderbird-l10n-hsb' is not installed, so not removed
Package 'thunderbird-l10n-hu' is not installed, so not removed
Package 'thunderbird-l10n-hy-am' is not installed, so not removed
Package 'thunderbird-l10n-id' is not installed, so not removed
Package 'thunderbird-l10n-is' is not installed, so not removed
Package 'thunderbird-l10n-it' is not installed, so not removed
Package 'thunderbird-l10n-ja' is not installed, so not removed
Package 'thunderbird-l10n-kab' is not installed, so not removed
Package 'thunderbird-l10n-kk' is not installed, so not removed
Package 'thunderbird-l10n-ko' is not installed, so not removed
Package 'thunderbird-l10n-lt' is not installed, so not removed
Package 'thunderbird-l10n-ms' is not installed, so not removed
Package 'thunderbird-l10n-nb-no' is not installed, so not removed
Package 'thunderbird-l10n-nl' is not installed, so not removed
Package 'thunderbird-l10n-nn-no' is not installed, so not removed
Package 'thunderbird-l10n-pa-in' is not installed, so not removed
Package 'thunderbird-l10n-pl' is not installed, so not removed
Package 'thunderbird-l10n-pt-br' is not installed, so not removed
Package 'thunderbird-l10n-pt-pt' is not installed, so not removed
Package 'thunderbird-l10n-rm' is not installed, so not removed
Package 'thunderbird-l10n-ro' is not installed, so not removed
Package 'thunderbird-l10n-ru' is not installed, so not removed
Package 'thunderbird-l10n-si' is not installed, so not removed
Package 'thunderbird-l10n-sk' is not installed, so not removed
Package 'thunderbird-l10n-sl' is not installed, so not removed
Package 'thunderbird-l10n-sq' is not installed, so not removed
Package 'thunderbird-l10n-sr' is not installed, so not removed
Package 'thunderbird-l10n-sv-se' is not installed, so not removed
Package 'thunderbird-l10n-ta-lk' is not installed, so not removed
Package 'thunderbird-l10n-tr' is not installed, so not removed
Package 'thunderbird-l10n-uk' is not installed, so not removed
Package 'thunderbird-l10n-vi' is not installed, so not removed
Package 'thunderbird-l10n-zh-cn' is not installed, so not removed
Package 'thunderbird-l10n-zh-tw' is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
jim@solydxk:~$  apt update
Hit:1 http://security.debian.org stretch/updates InRelease
Hit:2 http://deb.debian.org/debian stretch-updates InRelease                           
Ign:3 http://ftp.us.debian.org/debian stretch InRelease                                
Hit:4 http://download.virtualbox.org/virtualbox/debian stretch InRelease 
Hit:5 http://ftp.us.debian.org/debian stretch Release
Hit:7 https://repository.solydxk.com solydxk-9 InRelease
Reading package lists... Done
jim@solydxk:~$ 

JSladek
Posts: 142
Joined: 19 Jun 2014 23:15
Location: Suffolk VA

Re: Latest update forces t-bird & firefox

Postby JSladek » 01 Jan 2019 02:18

Arjen -

The upgrade worked okay when invoked by: apt upgrade --no-install-recommends

Firefox has been removed from my system for a very long time and t-bird has been recently removed. I have not experienced any problem like this before with prior upgrades to the solydk files. This is a bit bothersome and I can't help but suspect there is a problem lurking in there somewhere.

I am keeping a copy of the 'apt upgrade' command for use when the problem occurs again. For now, I will keep this item open pending your response to what I have submitted.

User avatar
Arjen Balfoort
Site Admin
Posts: 9223
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Latest update forces t-bird & firefox

Postby Arjen Balfoort » 01 Jan 2019 08:20

The commands I gave worked for me on both SolydX and SolydK.
I don't know what's different on our system.
Check that you don't have anything firefox or thunderbird related on your system:

Code: Select all

apt search firefox thunderbird | grep ^i
Note: please, put terminal output between "code" tags. It's the "</>" button when you're writing your post.


SolydXK needs you!
Development | Testing | Translations

JSladek
Posts: 142
Joined: 19 Jun 2014 23:15
Location: Suffolk VA

Re: Latest update forces t-bird & firefox

Postby JSladek » 01 Jan 2019 12:54

Check that you don't have anything firefox or thunderbird related on your system:
Done - nothing found on my system.

BTW - it has been further back than just recent that I removed t-bird - probably early 2018, I would think this problem would have occurred before. I don't recall doing anything major to the system since then other than removing FossaMail and installing Interlink .... unless Interlink has something in it triggering a false indication of t-bird. I am using PaleMoon for the browser and have been for a very long time.

Previous posting corrected with long terminal output.

User avatar
ilu
Posts: 2424
Joined: 09 Oct 2013 12:45

Re: Latest update forces t-bird & firefox

Postby ilu » 02 Jan 2019 03:35

There are 3 steps of dependency for a package: required, recommended and suggested. Default for apt is to install required and recommended. If you have an "atypical" software situation (which you have) you should permanently disable recommended dependecies. In my opinion recommended should always be disabled, it just installs you half of another desktop if you don't look carefully. Just don't forget that you switched it off if soething doesn't work as exspected. You can either set this in synaptic or configure apt:
cat > /etc/apt/apt.conf.d/01norecommend << EOF
APT::Install-Recommends "0";
APT::Install-Suggests "0";
EOF
Check that the setting is not overwritten by another file in that directory.

Code: Select all

apt-config dump | grep Recommends
Edit: The easiest way to do this: In Synaptic [settings/preferences/general] there is a setting under Marking Changes: "consider recommended packages as dependencies". Change it to unselected.

JSladek
Posts: 142
Joined: 19 Jun 2014 23:15
Location: Suffolk VA

Re: Latest update forces t-bird & firefox

Postby JSladek » 02 Jan 2019 12:48

This problem wouldn't quite be as bothersome except the "atypical" installation has existed for at least six months when I removed t-bird from the system. So I would think it should have shown up with the next solyd updates.

The biggest problem that I see with this scenario is if a program such as t-bird is "recommended", then why can I not decline the recommendation and continue on. This is not the case. I cannot (in synaptic) install the solyd updates without installing firefox and t-bird. This is the first time that I have ever run into this issue and I have nearly always installed updates with synaptic (I absolutely hate discover).

Anyway:

Code: Select all

jim@solydxk:~$  apt-config dump | grep Recommends
APT::Install-Recommends "true";
I wonder .... if "recommended" mandates installation, I wonder if "suggests" is the next lower level that suggests the same thing but does allow declining of the suggestion .......

JSladek
Posts: 142
Joined: 19 Jun 2014 23:15
Location: Suffolk VA

Re: Latest update forces t-bird & firefox

Postby JSladek » 02 Jan 2019 23:19

I may have found the solution to the problem, though I have no idea why it never showed up before.

In Synaptic [settings/preferences/general] there is a setting under Marking Changes: "consider recommended packages as dependencies". The default setting (I've never changed it) is "selected".

With that option selected, apt/apt.conf.d/99synaptic is APT::Install-Recommends "true";
With that option unselecrted, APT::Install-Recommends "false";

Unfortunately, I don't have a backup with the problem, so I can't test this, but it appears to me that the solution may be as simple as deselection the Synaptic option.

I'll leave this item open for a few days for comment and then I';ll close it as "possibly resolved".

JSladek
Posts: 142
Joined: 19 Jun 2014 23:15
Location: Suffolk VA

Re: Latest update forces t-bird & firefox

Postby JSladek » 03 Jan 2019 00:29

I found the problem, but I don't know what the best solution is. For that, I leave this open for suggestions.

The problem is that part of the latest upgrade of solydk-systems-adjustments-9 added recommends for firefox-solydxk-adjustments and thunderbird-solydxk-adjustments. These two adjustments installed firefox, thunderbird, lightning and a few other files that I recall seeing listed.

Knowing how the problem came about may be sufficient and leaving the synaptic setting under marking changes selected may be the best way to go and then watching the files to be installed, deselect on a case by case basis. Unfortunately, then, there is a judgement call to be made everytime an upgrade is done.

I can see that this can at times be ......... difficult.

User avatar
ilu
Posts: 2424
Joined: 09 Oct 2013 12:45

Re: Latest update forces t-bird & firefox

Postby ilu » 03 Jan 2019 20:23

I did not know that you also have synaptic on SolyDK (ups you said it, sorry). But yes, that's the easiest way. Switching that synaptic option off is the first thing I do on every new install. That being said, I forgot it on the last one - grrr - I really need my own custom post-installation script. It's save to leave that option off - recommends are just that, nothing you really need in 99% of cases. If you encounter rhat 1% just switch recommends on.

Reason I keep it off: Some Gnome or KDE programs pull the whole desktop as recommend (services included) which I don't want. You wouldn't want Gnome desktop either.

@Arjen: why did you add that recommendation? They start a "recommend-chain". It doesn't seem necessary and messes up already installed systems. Especially in light of the latest firefox developments.

JSladek
Posts: 142
Joined: 19 Jun 2014 23:15
Location: Suffolk VA

Re: Latest update forces t-bird & firefox

Postby JSladek » 03 Jan 2019 21:01

ilu - thanks for the comments. I now have that option in synaptic switched off.


Return to “Installation”

Who is online

Users browsing this forum: No registered users and 1 guest